Loading...
Searching...
No Matches
StdValueTraits.h File Reference
`#include <cxxtest/ValueTraits.h>`
`#include <cxxtest/StdHeaders.h>`

Go to the source code of this file.

## Data Structures

class | CxxTest::StdTraitsBase
class | CxxTest::ValueTraits< const CXXTEST_STD(string)>
class | CxxTest::ValueTraits< const CXXTEST_STD(basic_string< wchar_t >)>

## Namespaces

namespace | CxxTest

## Macros

#define | CXXTEST_STD(x)

## Functions

| CxxTest::CXXTEST_COPY_CONST_TRAITS (CXXTEST_STD(string))
| CxxTest::CXXTEST_COPY_CONST_TRAITS (CXXTEST_STD(basic_string< wchar_t >))
template<class Stream, class Iterator>
void | CxxTest::dumpRange (Stream &s, Iterator first, Iterator last)

## Macro Definition Documentation

## CXXTEST_STD

#define CXXTEST_STD | ( |  | x | ) |

Value:
std::x

Definition at line 16 of file StdValueTraits.h.